<template>
  <div class="fa">
     <div class="nav">
       <ul>
         <li :class="{active:scrollPos == 4}">
          <a @click="$scrollTo(4)" href="/"  class="flag" style="color: #8c9694"><img src="./../assets/Image/flag.png"/></a>
        </li>
        <li :class="{active:scrollPos == 0}">
          <a @click="$scrollTo(0)">درباره ما</a>
        </li>
        <li :class="{active:scrollPos == 1}">
          <a @click="$scrollTo(1)">پروژه ها</a>
        </li>
        <li :class="{active:scrollPos == 2}">
          <a @click="$scrollTo(2)"> تیم ما</a>
        </li>
        <li :class="{active:scrollPos == 3}">
          <a @click="$scrollTo(3)">ارتباط با ما</a>
        </li>
      </ul>
       <div class="logo">
        <a href="/" class="logo"><img src="./../assets/Image/logohamrahkish.jpg"/></a>
      </div>
    </div>
    <div class="slider">
      <md-card>
    <md-card-media>
      <!-- swiper -->
      <swiper :options="swiperOption">
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <swiper-slide><img src="./../assets/Image/slider-1.jpg"/></swiper-slide>
        <div class="swiper-button-prev" slot="button-prev"></div>
        <div class="swiper-button-next" slot="button-next"></div>
      </swiper>
    </md-card-media>
  </md-card>
    </div>
    <div v-scroll-spy="scrollPos">
    <div class="consulation">
      <div class="consulation-content">
        <h2>همراه کیش</h2>
         <p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و ب
          استفاده از طراحان گرافیک است. چاپگرها
          و متون بلکه روزنامه و مجله در ستون و
          سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود
          ابزارهای کاربردی می باشد. کتابهای زیادی در شصت
          و سه درصد گذشته، حال و آینده شناخت فراوان جامعه متخصصان را می طلبد تا با
          نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی و
          فرهنگ پیشرو در زبان فارسی ایجاد کرد. در این صورت می توان امید داشت که تمام و دشواری موجود در
          ارائه راهکارها و شرایط سخت تایپ به پایان رسد وزمان مورد نیاز شامل حروفچینی دستاوردهای اصلی و
          جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>
      </div>
    </div>
     <div class="projects">
        <div class="title">
          <h2>پروژه ها</h2>
          <p>
          لورم ایپسوم یا طرح‌نما  به متنی آزمایشی و بی‌معنی در صنعت چاپ، صفحه‌آرایی و طراحی گرافیک گفته می‌شود.
        </p>
        </div>
        <div class="content-project">
        <div class="single-project">
          <div class="single-project-hover">
            <img src="./../assets/Image/choose-1.jpg"/>
            <div class="middle">
              <p> لورم ایپسوم یا طرح‌نما  به متنی آزمایشی و بی‌معنی در صنعت چاپ، صفحه‌آرایی و طراحی گرافیک گفته می‌شود</p>
            </div>
          </div>
        </div>
        <div class="single-project">
          <div class="single-project-hover">
            <img src="./../assets/Image/choose-2.jpg"/>
            <div class="middle">
              <p> لورم ایپسوم یا طرح‌نما  به متنی آزمایشی و بی‌معنی در صنعت چاپ، صفحه‌آرایی و طراحی گرافیک گفته می‌شود</p>
            </div>
          </div>
        </div>
      </div>
        <div class="content-project">
        <div class="single-project">
          <div class="single-project-hover">
            <img src="./../assets/Image/choose-1.jpg"/>
            <div class="middle">
              <p> لورم ایپسوم یا طرح‌نما  به متنی آزمایشی و بی‌معنی در صنعت چاپ، صفحه‌آرایی و طراحی گرافیک گفته می‌شود</p>
            </div>
          </div>
        </div>
        <div class="single-project">
          <div class="single-project-hover">
            <img src="./../assets/Image/choose-2.jpg"/>
            <div class="middle">
              <p> لورم ایپسوم یا طرح‌نما  به متنی آزمایشی و بی‌معنی در صنعت چاپ، صفحه‌آرایی و طراحی گرافیک گفته می‌شود</p>
            </div>
          </div>
        </div>
      </div>
        <div class="project-button">
         <transition name="fade">
        <div v-if="seen"><div class="hide-content-project">
          <div class="single-hide-project">
          <img src="./../assets/Image/choose-2.jpg" />
        </div>
        <div class="single-hide-project">
          <img src="./../assets/Image/choose-2.jpg" />
        </div>
        <div class="single-hide-project">
          <img src="./../assets/Image/choose-2.jpg" />
        </div>
        </div>
        </div>
        </transition>
        <button v-if="seen" class="button" v-on:click="seen = !seen">...کمتر</button>
        <button v-else class="button" v-on:click="seen = !seen">...بیشتر</button>
      </div>
    </div>
     <div class="test-section">
      <div class="title">
         <h2>تیم ما </h2>
        <p>
          لورم ایپسوم یا طرح‌نما  به متنی آزمایشی و بی‌معنی در صنعت چاپ، صفحه‌آرایی و طراحی گرافیک گفته می‌شود
        </p>
      </div>
      <div class="test-content">
        <div class="test-single">
          <div class="test-img">
            <img src="https://thegenius.co/html/loanplus/preview/asset/img/team-1.jpg">
          </div>
          <div class="test-title">
           <h3>سعید لطفی</h3>
            <h5>برنامه نویس</h5>
          </div>
        </div>
        <div class="test-single">
          <div class="test-img">
          <img src="https://thegenius.co/html/loanplus/preview/asset/img/team-2.jpg">
          </div>
          <div class="test-title">
            <h3>سعید لطفی</h3>
            <h5>برنامه نویس</h5>
          </div>
        </div>
        <div class="test-single">
          <div class="test-img">
            <img src="https://thegenius.co/html/loanplus/preview/asset/img/team-3.jpg">
          </div>
          <div class="test-title">
            <h3>سارا زمانی</h3>
            <h5>مدیر اجرایی</h5>
          </div>
        </div>
        <div class="test-single">
          <div class="test-img">
            <img src="https://thegenius.co/html/loanplus/preview/asset/img/team-4.jpg">
          </div>
          <div class="test-title">
            <h3>سعید لطفی</h3>
            <h5>برنامه نویس</h5>
          </div>
        </div>
      </div>
    </div>
     <div class="contact">
      <div class="title">
        <h2>ارتباط با ما</h2>
      </div>
      <div class="contact-content">
       <div class="form">
         <input type="text"
                 placeholder="نام"
          >
          <input type="email"
                 placeholder="ایمیل"
          >
         <textarea type="text"
                   placeholder="متن"
         >
         </textarea>
         <div class="button">
             <md-button>ارسال</md-button>
         </div>
       </div>
         <div class="google-map">
           <gmap-map
               :center="center"
               :zoom="7"
               style="width: 100%; height: 400px"
             >
               <gmap-marker
                 :key="index"
                 v-for="(m, index) in markers"
                 :position="m.position"
                 :clickable="true"
                 :draggable="true"
                 @click="center=m.position"
               >
               </gmap-marker>
             </gmap-map>
         </div>
    </div>
    </div>
    </div>
    <div class="top-footer">
        <div class="top-footer-content">
          <div class="single-top-footer">
            <img src="./../assets/Image/3.jpg"/>
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/6.jpg"/>
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/fanava.png"/>
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/4.jpg"/>
          </div>
          <div class="single-top-footer">
            <img src="./../assets/Image/GSSTECH.jpg"/>
          </div>
        </div>
      </div>
     <div class="footer">
      <div class="footer-content">
        <div class="single-footer-content">
          <h4>همراه کیش</h4>
          <p>
            لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم
            از صنعت چاپ و با استفاده از طراحان گرافیک است. چاپگرها و متون بلکه روزنامه و مجله
            در ستون و سطرآنچنان که لازم است و برای شرایط فعلی
            تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای
            کاربردی می باشد. کتابهای زیادی در شصت و سه درصد گذشته
            ، حال و آینده شناخت فراوان جامعه و متخصصان
          </p>
        </div>
        <div class="single-footer-content">
          <h4>Solutions</h4>
        </div>
        <div class="single-footer-content">
          <h4>تماس با ما</h4>
          <div class="single-footer-info">
            <ul>
              <li><v-icon name="map-pin" class="color"></v-icon>مرزداران,  خیابان ابراهیمی برج الوند ط چهارم جنوبی واحد406</li>
              <li><v-icon name="phone-call" class="color"></v-icon>021-44299556</li>
              <li><v-icon name="mail" class="color"></v-icon>info@hamrahkish.com</li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div class="copy-right">
      <div class="copy-right-content">
      <div class="social-icon">
        <a href="#">
           <v-icon name="facebook" class="color"></v-icon>
        </a>
        <a href="#">
         <v-icon name="twitter" class="color"></v-icon>
        </a>
        <a href="#">
          <v-icon name="linkedin" class="color"></v-icon>
        </a>
        <a href="#">
          <v-icon name="instagram" class="color"></v-icon>
        </a>
      </div>
      <p>
        <i class="fa fa-copyright"></i>
        All Rights Reserved
      </p>
      </div>
    </div>
  </div>
</template>

<script>
import Vue from 'vue'
import 'swiper/dist/css/swiper.css'
import { swiper, swiperSlide } from 'vue-awesome-swiper'
import VueMaterial from 'vue-material'
import 'vue-material/dist/vue-material.min.css'
import Scrollspy from 'vue2-scrollspy'
import * as VueGoogleMaps from 'vue2-google-maps'
import feather from 'vue-icon'

Vue.use(feather, 'v-icon')
Vue.use(VueMaterial)
Vue.use(Scrollspy)
Vue.use(VueGoogleMaps, {
  load: {
    key: 'AIzaSyC44FgnA3KKwsnOxqB5m7rpvm0DxPt_bRU',
    v: 'OPTIONAL VERSION NUMBER'
  }
})

export default {
  data () {
    return {
      scrollPos: 0,
      show: true,
      seen: false,
      baseClass: 'v-icon',
      classPrefix: 'v-icon-',
      center:
        {
          lat: 35.733809,
          lng: 51.3451091
        },
      markers: [{
        position: {lat: 35.733809, lng: 51.3451091}
      },
      {
        position: {lat: 35.733809, lng: 51.3451091}
      }],
      swiperOption: {
        navigation: {
          nextEl: '.swiper-button-next',
          prevEl: '.swiper-button-prev'
        }
      }
    }
  },
  components: {
    swiper,
    swiperSlide
  }
}
</script>
